Subject: Re: binary mode from non-Cygwin shells?
From: Earnie Boyd <[email-masked]>
To: Antony Courtney <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Nov 2000 08:44:06 -0800 (PST)

--- Antony Courtney <[email-masked]> wrote:
> Earnie Boyd wrote:
> > 
> 
> Nevertheless:
> 
> > You will find that if you set CYGWIN=nobinmode before executing your
> > command.com example od will read in text mode and the \r will be
> eliminated.
> > Or, if you use the echo executable found in the Cygwin/bin directory
> instead of
> > the shell builtin the \r will not be written.
> 
> Nope.  If I leave CYGWIN unset, and run the Cygwin echo.exe explicitly:
> 
> d:\users\antony>c:\cygwin\bin\echo.exe hello |od -c
> 0000000000     h   e   l   l   o  \r  \n
> 0000000007
> 

Ok, what happens if you `set CYGWIN=binmode' before you execute this?  Yea, I
could test it but I don't have access to *your* environment.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]